<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/filterelements.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>filterelements.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for filterelements.c:</div>
<div class="dynsection">
<div class="center"><img src="filterelements_8c__incl.png" border="0" usemap="#init_2filterelements_8c_map" alt=""/></div>
<map name="init_2filterelements_8c_map" id="init_2filterelements_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="filterelements_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="filterelements_8c.html#a186b8075211f880eab30e33434e511a9">C_DEL</a>&nbsp;&nbsp;&nbsp;-5</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="filterelements_8c.html#a49c370a78a03718555d9d871ef6e11ee">FilterElements</a> (int *pn_ele, int **pelevert, int **peleprop, PetscReal *propdat)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a186b8075211f880eab30e33434e511a9"></a><!-- doxytag: member="filterelements.c::C_DEL" ref="a186b8075211f880eab30e33434e511a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_DEL&nbsp;&nbsp;&nbsp;-5</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>indicator for elements to be deleted </p>

<p>Definition at line <a class="el" href="filterelements_8c_source.html#l00029">29</a> of file <a class="el" href="filterelements_8c_source.html">filterelements.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a49c370a78a03718555d9d871ef6e11ee"></a><!-- doxytag: member="filterelements.c::FilterElements" ref="a49c370a78a03718555d9d871ef6e11ee" args="(int *pn_ele, int **pelevert, int **peleprop, PetscReal *propdat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int FilterElements </td>
          <td>(</td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pn_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>pelevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>peleprop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>propdat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="filterelements_8c_source.html#l00031">31</a> of file <a class="el" href="filterelements_8c_source.html">filterelements.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="filterelements_8c_a49c370a78a03718555d9d871ef6e11ee_icgraph.png" border="0" usemap="#filterelements_8c_a49c370a78a03718555d9d871ef6e11ee_icgraph_map" alt=""></div>
<map name="filterelements_8c_a49c370a78a03718555d9d871ef6e11ee_icgraph_map" id="filterelements_8c_a49c370a78a03718555d9d871ef6e11ee_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="161,5,220,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="269,5,320,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

